aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libgdev/libgdev-9999.ebuild')
-rw-r--r--dev-libs/libgdev/libgdev-9999.ebuild28
1 files changed, 10 insertions, 18 deletions
diff --git a/dev-libs/libgdev/libgdev-9999.ebuild b/dev-libs/libgdev/libgdev-9999.ebuild
index 7c047e6ae..0bc786172 100644
--- a/dev-libs/libgdev/libgdev-9999.ebuild
+++ b/dev-libs/libgdev/libgdev-9999.ebuild
@@ -1,12 +1,10 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=5
-EGIT_PROJECT="gdev"
-
-inherit base git-2
+inherit git-r3 toolchain-funcs
DESCRIPTION="Gdev is open-source GPGPU runtime"
HOMEPAGE="https://github.com/shinpei0208/gdev"
@@ -27,27 +25,21 @@ DEPEND="
virtual/pkgconfig
${RDEPEND}"
-PATCHES=( "${FILESDIR}/0001-Fix-detection-of-nouveau-in-case-its-builtin.patch"
- "${FILESDIR}/0002-Fix-install-target-for-gdev-lib-userspace.patch"
- "${FILESDIR}/0003-Fix-install-target-for-gdev-lib-userspace-part2.patch"
- "${FILESDIR}/0004-Respect-extra-CFLAGS-and-LDFLAGS.patch"
- )
-
src_configure() {
- cd lib
- mkdir build
- cd build
- ../configure --target=user
+ cd lib || die
+ mkdir build || die
+ cd build || die
+ ../configure --target=user || die
}
src_compile() {
- cd lib/build
+ cd lib/build || die
emake \
- EXTRA_CFLAGS="$(pkg-config --cflags-only-I libdrm)" \
- EXTRA_LIBS="$(pkg-config --libs libdrm_nouveau)"
+ EXTRA_CFLAGS="$($(tc-getPKG_CONFIG) --cflags-only-I libdrm)" \
+ EXTRA_LIBS="$($(tc-getPKG_CONFIG) --libs libdrm_nouveau)"
}
src_install() {
- cd lib/build
+ cd lib/build || die
emake GDEVDIR="${EPREFIX}/usr" DESTDIR="${D}" install
}